export interface CreateVehicleCommand {
  code?: string;
  type?: string;
  name: string;
  commissioned?: Date;
  decommissioned?: Date;
}

export interface UpdateVehicleCommand {
  id: string;
  code?: string;
  type?: string;
  name: string;
  commissioned?: Date;
  decommissioned?: Date;
}

export interface DeleteVehicleCommand {
  id: string;
}
