import { Column, Entity, PrimaryColumn } from "typeorm";

@Entity()
export class force {
  @PrimaryColumn({ generated: "uuid" })
  id: string;

  @Column({ type: "varchar", length: 255, nullable: true, default: null, unique: true })
  internalId?: string;

  @Column({ type: "varchar", length: 255 })
  firstname: string;

  @Column({ type: "varchar", length: 255 })
  lastname: string;

  @Column({ type: "varchar", length: 255 })
  nameaffix: string;

  @Column({ type: "date", default: "CURRENT_TIMESTAMP" })
  commissioned: Date;

  @Column({ type: "date", nullable: true, default: null })
  decommissioned?: Date;

  @Column({ type: "boolean", default: false })
  external: boolean;
}
