export interface SyncMissionCommand {
  id: string;
  title: string;
  commandId?: string | null;
  secretaryId?: string | null;
  mission_start?: Date | null;
  mission_end?: Date | null;
  keyword: string;
  location: string;
  others: string;
  rescued: number;
  recovered: number;
  description: string;
  last_update: number;
}

export interface DeleteMissionCommand {
  id: string;
}
